/*     */ package com.scytl.common.messages;
/*     */ 
/*     */ import com.scytl.common.domain.LoginType;
/*     */ import org.apache.commons.logging.Log;
/*     */ import org.apache.commons.logging.LogFactory;
/*     */ 
/*     */ public final class MessageConstants
/*     */ {
/*     */   public static final String VRR_DATA_SEPARATOR = ";";
/*  28 */   private static Log _logger = LogFactory.getLog(MessageConstants.class);
/*     */   public static final String NAME_VALUE_SEPARATOR = "=";
/*     */   public static final String PARAMETER_SEPARATOR = "&";
/*     */   public static final String URL_PARAMETERS_SEPARATOR = "?";
/*     */   public static final String USER_NAME = "username";
/*     */   public static final String PASSWORD = "password";
/*     */   public static final String CAN_DECRYPT = "canDecrypt";
/*     */   public static final String LOGIN_TYPE = "loginType";
/*     */   public static final String ELECTION_ID = "electionId";
/*     */   public static final String ELECTION_EVENT_ID = "electionEventId";
/*     */   public static final String PARENT_URL = "parenturl";
/*     */   public static final String INSTITUTION_ID = "institutionId";
/*     */   public static final String LOGOUT_SUCCESS_URL = "logoutSuccessUrl";
/*     */   public static final String ERROR = "error";
/*     */   public static final String TOKEN = "token";
/*     */   public static final String USER_PKCS12 = "userPKCS12";
/*     */   public static final String USER_IDENTIFICATION = "userIdentification";
/*     */   public static final String USER_FULL_NAME = "userFullName";
/*     */   public static final String AUTHENTICATION_RESULT_SIGNATURE = "authenticationResultSignature";
/*     */   public static final String RECOGNIZED_LOGIN_TYPE = "recognized";
/*     */   public static final String ADVANCED_LOGIN_TYPE = "advanced";
/*     */   public static final String USERNAME_AND_PASSWORD_SIGNATURE = "usernameAndPasswordSignature";
/*     */   public static final String RECOGNIZED_CERTIFICATE_CHAIN = "recognizedCertificateChain";
/*     */   public static final String MESSAGE = "message";
/*     */   public static final String SITE_LANGUAGE = "siteLanguage";
/*     */   public static final String CERT_TAB = "certTab";
/*     */   public static final String LANG_OPTIONS = "langOptions";
/*     */   public static final String PIN = "pin";
/*     */   public static final String JUSERNAME = "j_username";
/*     */   public static final String JPASSWORD = "j_password";
/*     */   public static final String MESSAGE_TYPE = "messageType";
/*     */   public static final String CUSTOMER = "customer";
/*     */   public static final String ACCESSIBILITY_FLAG = "accessible";
/*     */   public static final String TRANSFORM_TYPE = "transformType";
/*     */ 
/*     */   public static String fromLoginType(LoginType lt)
/*     */   {
/* 103 */     String type = null;
/* 104 */     switch (1.$SwitchMap$com$scytl$common$domain$LoginType[lt.ordinal()]) {
/*     */     case 1:
/* 106 */       type = "advanced";
/* 107 */       break;
/*     */     case 2:
/* 109 */       type = "recognized";
/* 110 */       break;
/*     */     default:
/* 112 */       _logger.error("Found an unknown login type :: " + lt);
/*     */     }
/* 114 */     return type;
/*     */   }
/*     */ 
/*     */   public static LoginType toLoginType(String lt) {
/* 118 */     LoginType type = null;
/* 119 */     if (lt == null) {
/* 120 */       throw new NullPointerException("The login type string is null");
/*     */     }
/* 122 */     if ("advanced".equalsIgnoreCase(lt))
/* 123 */       type = LoginType.ADVANCED;
/* 124 */     else if ("recognized".equalsIgnoreCase(lt))
/* 125 */       type = LoginType.RECOGNIZED;
/*     */     else {
/* 127 */       _logger.error("Found an unknown login type :: " + lt);
/*     */     }
/* 129 */     return type;
/*     */   }
/*     */ }

/* Location:           /home/laurent/VOTE/voting-applet.jar
 * Qualified Name:     com.scytl.common.messages.MessageConstants
 * JD-Core Version:    0.6.0
 */