/*     */ package com.scytl.pnyx.client.communication.transport;
/*     */ 
/*     */ import java.net.MalformedURLException;
/*     */ import java.net.URL;
/*     */ import java.util.Properties;
/*     */ 
/*     */ public class PnyxHTTPDestination
/*     */   implements PnyxClientDestination<URL>, AppletDestination<URL>
/*     */ {
/*     */   private URL _pnyxServerURL;
/*     */   private URL _pnyxAuthenticationAction;
/*     */   private URL _pnyxGetCertificatesAction;
/*     */   private URL _pnyxGetBallotAction;
/*     */   private URL _pnyxSecureMessageAction;
/*     */   private URL _chooseElectionAction;
/*     */   private URL _loginAction;
/*     */   private URL _votingAction;
/*     */   private URL _thankYouPage;
/*     */   private URL _friendlyErrorPage;
/*     */ 
/*     */   public PnyxHTTPDestination(URL paramURL)
/*     */   {
/*     */     try
/*     */     {
/*  67 */       paramURL = paramURL; this = this; Properties localProperties = new Properties();
/*     */       try { localProperties.load(PnyxHTTPDestination.class.getResourceAsStream("/com/scytl/pnyx/client/transport.properties")); } catch (java.io.IOException this) { throw new RuntimeException("Missing requried resource transport.properties.", this); } if (localProperties.containsKey("pnyx.server.url")) { this._pnyxServerURL = new URL(localProperties.getProperty("pnyx.server.url")); } else { if (paramURL == null) throw new IllegalArgumentException("Can't use a null default base url!"); this._pnyxServerURL = paramURL; } this._pnyxAuthenticationAction = getDestinationUrl(localProperties.getProperty("pnyx.authentication.action")); this._pnyxGetCertificatesAction = getDestinationUrl(localProperties.getProperty("pnyx.frontserver.action.getCertificates")); this._pnyxGetBallotAction = getDestinationUrl(localProperties.getProperty("pnyx.frontserver.action.getBallot")); this._pnyxSecureMessageAction = getDestinationUrl(localProperties.getProperty("pnyx.securemessage.action")); this._loginAction = getDestinationUrl(localProperties.getProperty("pnyx.login.action")); this._chooseElectionAction = getDestinationUrl(localProperties.getProperty("pnyx.chooseelection.action")); this._votingAction = getDestinationUrl(localProperties.getProperty("pnyx.voting.action")); this._thankYouPage = getDestinationUrl(localProperties.getProperty("pnyx.thankyou.page")); this._friendlyErrorPage = getDestinationUrl(localProperties.getProperty("pnyx.friendlyerror.page"));
/*     */ 
/*  71 */       return;
/*     */     }
/*     */     catch (MalformedURLException this)
/*     */     {
/*     */     }
/*  69 */     throw new IllegalArgumentException("Invalid url configured.", this);
/*     */   }
/*     */ 
/*     */   public URL getPnyxAuthenticationAction()
/*     */   {
/* 136 */     return this._pnyxAuthenticationAction;
/*     */   }
/*     */ 
/*     */   public URL getPnyxGetTokenAction() {
/* 140 */     return this._pnyxAuthenticationAction;
/*     */   }
/*     */ 
/*     */   public URL getPnyxGetCertificatesAction() {
/* 144 */     return this._pnyxGetCertificatesAction;
/*     */   }
/*     */ 
/*     */   public URL getPnyxGetBallotAction() {
/* 148 */     return this._pnyxGetBallotAction;
/*     */   }
/*     */ 
/*     */   public URL getPnyxCastVoteAction() {
/* 152 */     return this._pnyxSecureMessageAction;
/*     */   }
/*     */ 
/*     */   private URL getDestinationUrl(String resolveAction)
/*     */     throws MalformedURLException
/*     */   {
/* 162 */     this = this; return new URL(this._pnyxServerURL, resolveAction);
/*     */   }
/*     */ 
/*     */   public URL getChooseElectionAction()
/*     */   {
/* 169 */     return this._chooseElectionAction;
/*     */   }
/*     */ 
/*     */   public URL getLoginAction()
/*     */   {
/* 176 */     return this._loginAction;
/*     */   }
/*     */ 
/*     */   public URL getVotingAction()
/*     */   {
/* 183 */     return this._votingAction;
/*     */   }
/*     */ 
/*     */   public URL getThankYouPage() {
/* 187 */     return this._thankYouPage;
/*     */   }
/*     */ 
/*     */   public URL getFriendlyErrorPage()
/*     */   {
/* 194 */     return this._friendlyErrorPage;
/*     */   }
/*     */ }

/* Location:           /home/laurent/VOTE/voting-applet.jar
 * Qualified Name:     com.scytl.pnyx.client.communication.transport.PnyxHTTPDestination
 * JD-Core Version:    0.6.0
 */