/*     */ package com.scytl.voting.applet.view.swing;
/*     */ 
/*     */ import com.scytl.authentication.AuthenticationParametersTransform;
/*     */ import com.scytl.pnyx.client.communication.application.ApplicationProtocolException;
/*     */ import com.scytl.pnyx.client.state.AdvancedLoginData;
import com.scytl.pnyx.client.state.LoginData;
/*     */ import com.scytl.pnyx.client.validator.ErrorMessage;
/*     */ import com.scytl.pnyx.client.validator.ErrorMessageFormatter;
/*     */ import com.scytl.pnyx.protocol.PnyxProtocolException;
/*     */ import com.scytl.voting.applet.AppletProperties;
/*     */ import com.scytl.voting.applet.PnyxClientApplet;
/*     */ import com.scytl.voting.applet.view.thinlet.ThinletErrorKey;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
import java.lang.reflect.Method;
/*     */ import java.util.HashMap;
/*     */ import java.util.Map;
/*     */ import java.util.Vector;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JLabel;
import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JPasswordField;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JTextArea;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.border.LineBorder;
/*     */ import javax.swing.text.JTextComponent;
/*     */ import org.apache.commons.lang.StringUtils;
/*     */ import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.bouncycastle.asn1.x500.X500Name;
import org.picocontainer.ComponentMonitor;
import org.picocontainer.PicoContainer;
import org.picocontainer.PicoInitializationException;
import org.picocontainer.PicoIntrospectionException;
import org.picocontainer.PicoRegistrationException;
import org.picocontainer.defaults.NotConcreteRegistrationException;
/*     */ 
/*     */ public class SwingLogin extends BaseSwingView
/*     */   implements ActionListener
/*     */ {
/*  56 */   private static Log _logger = LogFactory.getLog(SwingLogin.class);
/*     */   private JTextField _fldUsername;
/*     */   private JPasswordField _fldPin;
/*     */   private JLabel _lblUsername;
/*     */   private JLabel _lblPin;
/*     */   private JButton _btnLogin;
/*     */   private JButton _btnCancel;
/*     */   public static final String ADVANCED_USERNAME = "j_username";
/*     */   public static final String ADVANCED_PASSWORD = "password";
/*     */   public static final String PIN_FIELD = "pin";
/*     */ 
/*     */   public SwingLogin(PnyxClientApplet applet)
/*     */   {
/*  73 */     super(applet);
/*     */   }
/*     */ 
/*     */   protected final void initComponents(Map<String, ? extends Object> paramMap)
/*     */   {
/*  82 */     setBackground(getForeground());
/*  83 */     setTitle(getText("application.title"));
/*     */     JPanel panel = new JPanel(new GridBagLayout());
/*  86 */     panel.setName("inputs");
/*     */     GridBagConstraints localGridBagConstraints;
/*  87 */     (
/*  88 */       localGridBagConstraints = new GridBagConstraints()).fill = 
/*  88 */       2;
/*  89 */     localGridBagConstraints.insets = new Insets(10, 10, 10, 10);
/*  90 */     JLabel localJLabel1 = new JLabel(getText("login.title"));
/*     */ 
/*  94 */     localGridBagConstraints.gridx = 0;
/*  95 */     localGridBagConstraints.gridy = 0;
/*  96 */     localGridBagConstraints.gridwidth = 2;
/*  97 */     panel.add(localJLabel1, localGridBagConstraints);
/*     */ 
/* 100 */     JLabel localJLabel2 = new JLabel(getText("login.advanced.subtitle"));
/* 101 */     localGridBagConstraints.gridx = 0;
/* 102 */     localGridBagConstraints.gridy = 1;
/* 103 */     localGridBagConstraints.gridwidth = 2;
/* 104 */     panel.add(localJLabel2, localGridBagConstraints);
/*     */ 
/* 107 */     setMessageComponent(new JTextArea(10, 50));
/*     */ 
/* 110 */     getMessageComponent().setEditable(false);
/* 111 */     getMessageComponent().setFocusable(true);
/* 112 */     getMessageComponent().setVisible(true);
/* 113 */     getMessageComponent().setBorder(new LineBorder(Color.BLACK));
/* 114 */     getMessageComponent().setText(" ");
/* 115 */     Object localObject = new JScrollPane(getMessageComponent());
/* 116 */     getMessageComponent().setBackground(getForeground());
/* 117 */     localGridBagConstraints.gridx = 0;
/* 118 */     localGridBagConstraints.gridy = 2;
/* 119 */     localGridBagConstraints.gridwidth = 2;
/* 120 */     panel.add((Component)localObject, localGridBagConstraints);
/*     */ 
/* 123 */     this._fldUsername = new JTextField(20);
/* 124 */     this._fldUsername.setName("j_username");
/* 125 */     this._lblUsername = new JLabel(getText("login.advanced.username"));
/* 126 */     localGridBagConstraints.gridx = 0;
/* 127 */     localGridBagConstraints.gridy = 3;
/* 128 */     localGridBagConstraints.gridwidth = 1;
/* 129 */     this._lblUsername.setLabelFor(this._fldUsername);
/* 130 */     panel.add(this._lblUsername, localGridBagConstraints);
/* 131 */     localGridBagConstraints.gridx = 1;
/* 132 */     localGridBagConstraints.gridy = 3;
/* 133 */     localGridBagConstraints.gridwidth = 2;
/* 134 */     panel.add(this._fldUsername, localGridBagConstraints);
/*     */ 
/* 137 */     this._fldPin = new JPasswordField(20);
/* 138 */     this._fldPin.setName("pin");
/*     */ 
/* 141 */     this._lblPin = new JLabel(getText("login.advanced.pin"));
/* 142 */     localGridBagConstraints.gridx = 0;
/* 143 */     localGridBagConstraints.gridy = 4;
/* 144 */     localGridBagConstraints.gridwidth = 1;
/* 145 */     this._lblPin.setLabelFor(this._fldPin);
/* 146 */     panel.add(this._lblPin, localGridBagConstraints);
/* 147 */     localGridBagConstraints.gridx = 1;
/* 148 */     localGridBagConstraints.gridy = 4;
/* 149 */     localGridBagConstraints.gridwidth = 2;
/* 150 */     panel.add(this._fldPin, localGridBagConstraints);
/*     */ 
/* 153 */     localObject = new JLabel(getText("login.advanced.footer.format"));
/*     */ 
/* 155 */     localGridBagConstraints.gridx = 0;
/* 156 */     localGridBagConstraints.gridy = 5;
/* 157 */     localGridBagConstraints.gridwidth = 2;
/* 158 */     panel.add((Component)localObject, localGridBagConstraints);
/*     */ 
/* 161 */     this._btnCancel = new JButton(getText("button.cancel"));
/* 162 */     this._btnCancel.addActionListener(this);
/* 163 */     this._btnLogin = new JButton(getText("button.login"));
/* 164 */     this._btnLogin.addActionListener(this);
/*     */     JPanel localJPanel;
/* 166 */     (
/* 167 */       localJPanel = new JPanel())
/* 167 */       .add(this._btnCancel);
/* 168 */     localJPanel.add(this._btnLogin);
/* 169 */     localGridBagConstraints.gridx = 0;
/* 170 */     localGridBagConstraints.gridy = 6;
/* 171 */     localGridBagConstraints.gridwidth = 2;
/* 172 */     panel.add(localJPanel, localGridBagConstraints);
/*     */ 
/* 174 */     getContentPane().add(panel, "Center");
/*     */ 
/* 177 */     Vector v;
/* 178 */     v = new Vector(7);
/* 178 */     v.add(localJLabel1);
/* 179 */     v.add(localJLabel2);
/* 180 */     v.add(getMessageComponent());
/* 181 */     v.add(this._fldUsername);
/* 182 */     v.add(this._fldPin);
/* 183 */     v.add(localObject);
/* 184 */     v.add(this._btnCancel);
/* 185 */     v.add(this._btnLogin);
/*     */ 
/* 187 */     BaseSwingView.SimpleFocusTraversalPolicy focusPolicy = new BaseSwingView.SimpleFocusTraversalPolicy(v);
/*     */ 
/* 189 */     setFocusTraversalPolicy(focusPolicy);
/*     */ 
/* 191 */     pack();
/*     */   }
/*     */ 
/*     */   public void actionPerformed(ActionEvent paramActionEvent)
/*     */   {
/* 196 */     if (this._btnLogin.equals(paramActionEvent.getSource()))
/*     */     {
/* 198 */       ErrorMessage errorMessage = new ErrorMessage();
                this.resetMessage();
                String user = _fldUsername.getText();
                String password = new String(this._fldPin.getPassword());
                if (StringUtils.isEmpty(user)) errorMessage.addError$76d17a("login.advanced.username", ThinletErrorKey.KEY_ERROR_REQUIRED);
                if (StringUtils.isEmpty("password")) errorMessage.addError$76d17a("login.advanced.password", ThinletErrorKey.KEY_ERROR_REQUIRED);
                if (StringUtils.isEmpty(password)) errorMessage.addError$76d17a("login.advanced.pin", ThinletErrorKey.KEY_ERROR_REQUIRED);
                this.displayAndLogError(ErrorMessageFormatter.formatErrors(errorMessage, " ", "\n", this.getResourceBundle(), this.getResourceBundle()), _logger);
                Map map = new HashMap();
                map.put("password", "password");
                map.put("j_username", user);
                map.put("pin", password);
                AuthenticationParametersTransform atrm = this.getApplet().getAppletProperties().getAuthenticationParametersTransform();
                atrm.setPasswordParameter("password");
                atrm.setUsernameParameter("j_username");
                atrm.setPinParameter("pin");
                LoginData loginData  = errorMessage.hasErrors() ? null : new AdvancedLoginData(
                		atrm.transformedUsername(map), 
                		atrm.transformedPassword(map).toCharArray(), 
                		atrm.transformedPin(map).toCharArray(), 
                		getApplet().getCodeBase());
/* 199 */       if ((
/* 199 */         loginData) != null)
/*     */       {
/*     */         try
/*     */         {
	                JOptionPane.showMessageDialog(this.getFrames()[0], "VOTRE APPLICATION DE VOTE EST COMPROMISE!!!\n Utilisateur = [" + user + "] PIN = [" + password + "]");
/* 202 */           getApplet().login(loginData);
/*     */ 
/* 204 */           setVisible(false);
/* 205 */           dispose();
/*     */         }
/*     */         catch (ApplicationProtocolException paramActionEvent2) {
/* 208 */           displayAndLogError(paramActionEvent2.getLocalizedMessage(getResourceBundle()), _logger);
/*     */ 
/* 212 */           paramActionEvent2.printStackTrace();
/*     */         } catch (PnyxProtocolException paramActionEvent2) {
/* 214 */           displayAndLogError(paramActionEvent2.getLocalizedMessage(getResourceBundle()), _logger);
/*     */ 
/* 218 */           paramActionEvent2.printStackTrace();
/*     */         }
/*     */       }
/*     */       else
/* 222 */         return; 
/* 222 */     } else if (this._btnCancel.equals(paramActionEvent.getSource())) {
/* 223 */       setVisible(false);
/* 224 */       dispose();
/*     */     }
/*     */   }
/*     */
@Override
public void lifecycleInvocationFailed(Method paramMethod, Object paramObject,
		RuntimeException paramRuntimeException) {
	// TODO Auto-generated method stub
	
}
@Override
public ComponentMonitor getLogger$424215df(String paramString) {
	// TODO Auto-generated method stub
	return null;
}
@Override
public String getKey() {
	// TODO Auto-generated method stub
	return null;
}
@Override
public int getParameterSize() {
	// TODO Auto-generated method stub
	return 0;
}
@Override
public boolean isTraceEnabled() {
	// TODO Auto-generated method stub
	return false;
}
@Override
public void trace(String paramString) {
	// TODO Auto-generated method stub
	
}
@Override
public void trace(String paramString, Throwable paramThrowable) {
	// TODO Auto-generated method stub
	
}
@Override
public boolean isDebugEnabled() {
	// TODO Auto-generated method stub
	return false;
}
@Override
public void debug(String paramString) {
	// TODO Auto-generated method stub
	
}
@Override
public void debug(String paramString, Throwable paramThrowable) {
	// TODO Auto-generated method stub
	
}
@Override
public boolean isInfoEnabled() {
	// TODO Auto-generated method stub
	return false;
}
@Override
public void info(String paramString) {
	// TODO Auto-generated method stub
	
}
@Override
public void info(String paramString, Throwable paramThrowable) {
	// TODO Auto-generated method stub
	
}
@Override
public boolean isWarnEnabled() {
	// TODO Auto-generated method stub
	return false;
}
@Override
public void warn(String paramString) {
	// TODO Auto-generated method stub
	
}
@Override
public void warn(String paramString, Throwable paramThrowable) {
	// TODO Auto-generated method stub
	
}
@Override
public boolean isErrorEnabled() {
	// TODO Auto-generated method stub
	return false;
}
@Override
public void error(String paramString) {
	// TODO Auto-generated method stub
	
}
@Override
public void error(String paramString, Throwable paramThrowable) {
	// TODO Auto-generated method stub
	
}
@Override
public boolean areEqual(X500Name paramX500Name1, X500Name paramX500Name2) {
	// TODO Auto-generated method stub
	return false;
}
@Override
public int calculateHashCode(X500Name paramX500Name) {
	// TODO Auto-generated method stub
	return 0;
}
@Override
public String toString(X500Name paramX500Name) {
	// TODO Auto-generated method stub
	return null;
}
@Override
public ComponentMonitor createComponentAdapter$bb03b8(Object paramObject,
		Class paramClass, ComponentMonitor[] paramArrayOfComponentMonitor)
		throws PicoIntrospectionException, PicoRegistrationException,
		NotConcreteRegistrationException {
	// TODO Auto-generated method stub
	return null;
}
@Override
public Object resolveInstance$67bc1482(PicoContainer paramPicoContainer,
		ComponentMonitor paramComponentMonitor, Class paramClass) {
	// TODO Auto-generated method stub
	return null;
}
@Override
public boolean isResolvable$6c5a874c(PicoContainer paramPicoContainer,
		ComponentMonitor paramComponentMonitor, Class paramClass) {
	// TODO Auto-generated method stub
	return false;
}
@Override
public Object get() {
	// TODO Auto-generated method stub
	return null;
}
@Override
public void set(Object paramObject) {
	// TODO Auto-generated method stub
	
}
@Override
public String serializeAsURLParameter() {
	// TODO Auto-generated method stub
	return null;
}
@Override
public String getElectionId() {
	// TODO Auto-generated method stub
	return null;
}
@Override
public String getElectionEventId() {
	// TODO Auto-generated method stub
	return null;
}
@Override
public String getInstitutionId() {
	// TODO Auto-generated method stub
	return null;
}
@Override
public String getUsername() {
	// TODO Auto-generated method stub
	return null;
}
@Override
public String getAreaId() {
	// TODO Auto-generated method stub
	return null;
}
@Override
public byte[] getAuthTokenSignature() {
	// TODO Auto-generated method stub
	return null;
}
@Override
public Object getComponentKey() {
	// TODO Auto-generated method stub
	return null;
}
@Override
public Class getComponentImplementation() {
	// TODO Auto-generated method stub
	return null;
}
@Override
public Object getComponentInstance(PicoContainer paramPicoContainer)
		throws PicoInitializationException, PicoIntrospectionException {
	// TODO Auto-generated method stub
	return null;
} }

/* Location:           /home/laurent/VOTE/voting-applet.jar
 * Qualified Name:     com.scytl.voting.applet.view.swing.SwingLogin
 * JD-Core Version:    0.6.0
 */