/*     */ package com.scytl.xml.marshalling.eml;
/*     */ 
/*     */ import javax.xml.namespace.QName;
/*     */ 
/*     */ public abstract interface EmlQName
/*     */ {
/*     */   public static final QName AFFILIATION;
/*     */   public static final QName AFFILIATION_IDENTIFIER;
/*     */   public static final QName BALLOT;
/*     */   public static final QName BALLOTS;
/*     */   public static final QName BALLOT_CHOICES;
/*     */   public static final QName BALLOT_IDENTIFIER;
/*     */   public static final QName BALLOT_NAME;
/*     */   public static final QName BINARY;
/*     */   public static final QName BLOCKED;
/*     */   public static final QName CANDIDATE;
/*     */   public static final QName CANDIDATE_IDENTIFIER;
/*     */   public static final QName CANDIDATE_NAME;
/*     */   public static final QName CONTACT;
/*     */   public static final QName CONTEST;
/*     */   public static final QName CONTEST_IDENTIFIER;
/*     */   public static final QName COUNT_METRIC;
/*     */   public static final QName UNDER_VOTE_TYPE;
/*     */   public static final QName OVER_VOTE_TYPE;
/*     */   public static final QName DATE_OF_BIRTH;
/*     */   public static final QName DESCRIPTION;
/*     */   public static final QName ELECTION;
/*     */   public static final QName ELECTION_GROUP;
/*     */   public static final QName ELECTION_IDENTIFIER;
/*     */   public static final QName ELECTION_NAME;
/*     */   public static final QName ELECTION_STATEMENT;
/*     */   public static final QName EMAIL;
/*     */   public static final QName EML;
/*     */   public static final QName EVENT_IDENTIFIER;
/*     */   public static final QName EVENT_ALIAS;
/*     */   public static final QName GENDER;
/*     */   public static final QName LOGO;
/*     */   public static final QName ADDITIONAL_LOGO;
/*     */   public static final QName MAILING_ADDRESS;
/*     */   public static final QName MAX_VOTES;
/*     */   public static final QName MAX_WRITE_IN;
/*     */   public static final QName MESSAGE;
/*     */   public static final QName MESSAGE_LANGUAGE;
/*     */   public static final QName MESSAGES;
/*     */   public static final QName MIN_VOTES;
/*     */   public static final QName PROFESSION;
/*     */   public static final QName PROFILE;
/*     */   public static final QName QUALIFYING_ADDRESS;
/*     */   public static final QName REGISTERED_NAME;
/*     */   public static final QName SEAL;
/*     */   public static final QName TRANSACTION_ID;
/*     */   public static final QName TYPE;
/*     */   public static final QName VOTING_METHOD;
/*     */   public static final QName ATTRIB__FORMAT;
/*     */   public static final QName ATTRIB__ID;
/*     */   public static final QName ATTRIB__TRANSLATION_ID;
/*     */   public static final QName ATTRIB__LANG;
/*     */   public static final QName ATTRIB__TYPE;
/*     */   public static final QName ATTRIB__DISPLAY_ORDER;
/*     */   public static final QName ATTRIB__CHANNEL;
/*     */ 
/*     */   static
/*     */   {
/*  22 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Abstentions");
/*     */ 
/*  24 */     new QName("urn:oasis:names:tc:evs:schema:eml", "AdditionalValidation");
/*     */ 
/*  27 */     AFFILIATION = new QName("urn:oasis:names:tc:evs:schema:eml", "Affiliation");
/*     */ 
/*  29 */     AFFILIATION_IDENTIFIER = new QName("urn:oasis:names:tc:evs:schema:eml", "AffiliationIdentifier");
/*     */ 
/*  32 */     new QName("AllowedChannels");
/*     */ 
/*  34 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Area");
/*     */ 
/*  36 */     new QName("urn:oasis:names:tc:evs:schema:eml", "AuthorityAddress");
/*     */ 
/*  39 */     new QName("urn:oasis:names:tc:evs:schema:eml", "logo");
/*     */ 
/*  41 */     new QName("urn:oasis:names:tc:evs:schema:eml", "AuthorityIdentifier");
/*     */ 
/*  44 */     BALLOT = new QName("urn:oasis:names:tc:evs:schema:eml", "Ballot");
/*     */ 
/*  46 */     BALLOTS = new QName("urn:oasis:names:tc:evs:schema:eml", "Ballots");
/*     */ 
/*  48 */     BALLOT_CHOICES = new QName("urn:oasis:names:tc:evs:schema:eml", "BallotChoices");
/*     */ 
/*  51 */     BALLOT_IDENTIFIER = new QName("urn:oasis:names:tc:evs:schema:eml", "BallotIdentifier");
/*     */ 
/*  54 */     new QName("urn:oasis:names:tc:evs:schema:eml", "BallotIdentifierRange");
/*     */ 
/*  57 */     BALLOT_NAME = new QName("urn:oasis:names:tc:evs:schema:eml", "BallotName");
/*     */ 
/*  59 */     BINARY = new QName("urn:oasis:names:tc:evs:schema:eml", "Binary");
/*     */ 
/*  61 */     BLOCKED = new QName("urn:oasis:names:tc:evs:schema:eml", "Blocked");
/*     */ 
/*  63 */     new QName("urn:oasis:names:tc:evs:schema:eml", "CandidateList");
/*     */ 
/*  65 */     CANDIDATE = new QName("urn:oasis:names:tc:evs:schema:eml", "Candidate");
/*     */ 
/*  67 */     CANDIDATE_IDENTIFIER = new QName("urn:oasis:names:tc:evs:schema:eml", "CandidateIdentifier");
/*     */ 
/*  70 */     CANDIDATE_NAME = new QName("urn:oasis:names:tc:evs:schema:eml", "CandidateName");
/*     */ 
/*  72 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Component");
/*     */ 
/*  74 */     CONTACT = new QName("urn:oasis:names:tc:evs:schema:eml", "Contact");
/*     */ 
/*  76 */     CONTEST = new QName("urn:oasis:names:tc:evs:schema:eml", "Contest");
/*     */ 
/*  78 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Contests");
/*     */ 
/*  80 */     CONTEST_IDENTIFIER = new QName("urn:oasis:names:tc:evs:schema:eml", "ContestIdentifier");
/*     */ 
/*  83 */     new QName("urn:oasis:names:tc:evs:schema:eml", "ContestName");
/*     */ 
/*  86 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Count");
/*     */ 
/*  88 */     COUNT_METRIC = new QName("urn:oasis:names:tc:evs:schema:eml", "CountMetric");
/*     */ 
/*  91 */     UNDER_VOTE_TYPE = new QName("urn:oasis:names:tc:evs:schema:eml", "UnderVoteType");
/*     */ 
/*  94 */     OVER_VOTE_TYPE = new QName("urn:oasis:names:tc:evs:schema:eml", "OverVoteType");
/*     */ 
/*  97 */     new QName("urn:oasis:names:tc:evs:schema:eml", "CountingAlgorithm");
/*     */ 
/* 100 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Date");
/*     */ 
/* 102 */     DATE_OF_BIRTH = new QName("urn:oasis:names:tc:evs:schema:eml", "DateOfBirth");
/*     */ 
/* 105 */     new QName("urn:oasis:names:tc:evs:schema:eml", "DefaultLanguage");
/*     */ 
/* 108 */     DESCRIPTION = new QName("urn:oasis:names:tc:evs:schema:eml", "Description");
/*     */ 
/* 110 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Display");
/*     */ 
/* 112 */     new QName("urn:oasis:names:tc:evs:schema:eml", "DocumentIdentifier");
/*     */ 
/* 115 */     ELECTION = new QName("urn:oasis:names:tc:evs:schema:eml", "Election");
/*     */ 
/* 117 */     new QName("urn:oasis:names:tc:evs:schema:eml", "ElectionCategory");
/*     */ 
/* 120 */     new QName("urn:oasis:names:tc:evs:schema:eml", "ElectionEvent");
/*     */ 
/* 123 */     ELECTION_GROUP = new QName("urn:oasis:names:tc:evs:schema:eml", "ElectionGroup");
/*     */ 
/* 126 */     ELECTION_IDENTIFIER = new QName("urn:oasis:names:tc:evs:schema:eml", "ElectionIdentifier");
/*     */ 
/* 129 */     new QName("urn:oasis:names:tc:evs:schema:eml", "ElectionList");
/*     */ 
/* 131 */     ELECTION_NAME = new QName("urn:oasis:names:tc:evs:schema:eml", "ElectionName");
/*     */ 
/* 134 */     ELECTION_STATEMENT = new QName("urn:oasis:names:tc:evs:schema:eml", "ElectionStatement");
/*     */ 
/* 137 */     new QName("urn:oasis:names:tc:evs:schema:eml", "ElectronicLocation");
/*     */ 
/* 140 */     EMAIL = new QName("urn:oasis:names:tc:evs:schema:eml", "Email");
/*     */ 
/* 142 */     EML = new QName("urn:oasis:names:tc:evs:schema:eml", "EML");
/*     */ 
/* 144 */     new QName("urn:oasis:names:tc:evs:schema:eml", "End");
/*     */ 
/* 146 */     EVENT_IDENTIFIER = new QName("urn:oasis:names:tc:evs:schema:eml", "EventIdentifier");
/*     */ 
/* 149 */     EVENT_ALIAS = new QName("urn:oasis:names:tc:evs:schema:eml", "EventAlias");
/*     */ 
/* 151 */     new QName("urn:oasis:names:tc:evs:schema:eml", "EventQualifier");
/*     */ 
/* 154 */     GENDER = new QName("urn:oasis:names:tc:evs:schema:eml", "Gender");
/*     */ 
/* 157 */     new QName("urn:oasis:names:tc:evs:schema:eml", "KnownAs");
/*     */ 
/* 159 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Language");
/*     */ 
/* 161 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Languages");
/*     */ 
/* 163 */     LOGO = new QName("urn:oasis:names:tc:evs:schema:eml", "Logo");
/*     */ 
/* 165 */     ADDITIONAL_LOGO = new QName("urn:oasis:names:tc:evs:schema:eml", "AdditionalLogo");
/*     */ 
/* 168 */     new QName("urn:oasis:names:tc:evs:schema:eml", "IssueDate");
/*     */ 
/* 170 */     MAILING_ADDRESS = new QName("urn:oasis:names:tc:evs:schema:eml", "MailingAddress");
/*     */ 
/* 173 */     new QName("urn:oasis:names:tc:evs:schema:eml", "ManagingAuthority");
/*     */ 
/* 176 */     MAX_VOTES = new QName("urn:oasis:names:tc:evs:schema:eml", "MaxVotes");
/*     */ 
/* 178 */     MAX_WRITE_IN = new QName("urn:oasis:names:tc:evs:schema:eml", "MaxWriteIn");
/*     */ 
/* 181 */     MESSAGE = new QName("urn:oasis:names:tc:evs:schema:eml", "Message");
/*     */ 
/* 183 */     MESSAGE_LANGUAGE = new QName("urn:oasis:names:tc:evs:schema:eml", "MessageLanguage");
/*     */ 
/* 186 */     MESSAGES = new QName("urn:oasis:names:tc:evs:schema:eml", "Messages");
/*     */ 
/* 188 */     MIN_VOTES = new QName("urn:oasis:names:tc:evs:schema:eml", "MinVotes");
/*     */ 
/* 190 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Name");
/*     */ 
/* 192 */     new QName("urn:oasis:names:tc:evs:schema:eml", "NumberInSequence");
/*     */ 
/* 195 */     new QName("urn:oasis:names:tc:evs:schema:eml", "NumberOfPositions");
/*     */ 
/* 198 */     new QName("urn:oasis:names:tc:evs:schema:eml", "PollingDistrict");
/*     */ 
/* 201 */     new QName("urn:oasis:names:tc:evs:schema:eml", "PollingPlace");
/*     */ 
/* 204 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Position");
/*     */ 
/* 206 */     new QName("urn:oasis:names:tc:evs:schema:eml", "PreferredLanguage");
/*     */ 
/* 209 */     PROFESSION = new QName("urn:oasis:names:tc:evs:schema:eml", "Profession");
/*     */ 
/* 211 */     PROFILE = new QName("urn:oasis:names:tc:evs:schema:eml", "Profile");
/*     */ 
/* 213 */     QUALIFYING_ADDRESS = new QName("urn:oasis:names:tc:evs:schema:eml", "QualifyingAddress");
/*     */ 
/* 216 */     REGISTERED_NAME = new QName("urn:oasis:names:tc:evs:schema:eml", "RegisteredName");
/*     */ 
/* 219 */     new QName("urn:oasis:names:tc:evs:schema:eml", "ReportingUnit");
/*     */ 
/* 222 */     new QName("urn:oasis:names:tc:evs:schema:eml", "ReportingUnitVotes");
/*     */ 
/* 225 */     new QName("urn:oasis:names:tc:evs:schema:eml", "ReportingUnitIdentifier");
/*     */ 
/* 228 */     new QName("urn:oasis:names:tc:evs:schema:eml", "RequestedMessageLanguage");
/*     */ 
/* 231 */     new QName("urn:oasis:names:tc:evs:schema:eml", "RequestedResponseLanguage");
/*     */ 
/* 234 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Responsibility");
/*     */ 
/* 237 */     new QName("urn:oasis:names:tc:evs:schema:eml", "ResponsibleOfficer");
/*     */ 
/* 240 */     SEAL = new QName("urn:oasis:names:tc:evs:schema:eml", "Seal");
/*     */ 
/* 242 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Selection");
/*     */ 
/* 244 */     new QName("urn:oasis:names:tc:evs:schema:eml", "SequenceNumber");
/*     */ 
/* 247 */     new QName("urn:oasis:names:tc:evs:schema:eml", "SequencedElementName");
/*     */ 
/* 250 */     new QName("urn:oasis:names:tc:evs:schema:eml", "SingleDate");
/*     */ 
/* 252 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Start");
/*     */ 
/* 254 */     TRANSACTION_ID = new QName("urn:oasis:names:tc:evs:schema:eml", "TransactionId");
/*     */ 
/* 257 */     TYPE = new QName("urn:oasis:names:tc:evs:schema:eml", "Type");
/*     */ 
/* 259 */     new QName("urn:oasis:names:tc:evs:schema:eml", "URL");
/*     */ 
/* 261 */     new QName("urn:oasis:names:tc:evs:schema:eml", "ValidVotes");
/*     */ 
/* 263 */     VOTING_METHOD = new QName("urn:oasis:names:tc:evs:schema:eml", "VotingMethod");
/*     */ 
/* 266 */     new QName("urn:oasis:names:tc:evs:schema:eml", "VoteGroup");
/*     */ 
/* 268 */     new QName("urn:oasis:names:tc:evs:schema:eml", "VoterDetails");
/*     */ 
/* 270 */     new QName("urn:oasis:names:tc:evs:schema:eml", "VoterRegistration");
/*     */ 
/* 273 */     new QName("urn:oasis:names:tc:evs:schema:eml", "Voter");
/*     */ 
/* 275 */     new QName("urn:oasis:names:tc:evs:schema:eml", "VoterIdentification");
/*     */ 
/* 278 */     new QName("urn:oasis:names:tc:evs:schema:eml", "VoterName");
/*     */ 
/* 280 */     new QName("urn:oasis:names:tc:evs:schema:eml", "VToken");
/*     */ 
/* 282 */     new QName("urn:oasis:names:tc:evs:schema:eml", "VoterId");
/*     */ 
/* 284 */     new QName("urn:oasis:names:tc:evs:schema:eml", "VoterInformation");
/*     */ 
/* 291 */     ATTRIB__FORMAT = new QName("Format");
/*     */ 
/* 293 */     new QName("Href");
/*     */ 
/* 295 */     ATTRIB__ID = new QName("Id");
/*     */ 
/* 297 */     ATTRIB__TRANSLATION_ID = new QName("TranslationId");
/*     */ 
/* 299 */     ATTRIB__LANG = new QName("Lang");
/*     */ 
/* 301 */     new QName("SchemaVersion");
/*     */ 
/* 303 */     new QName("ShortCode");
/*     */ 
/* 305 */     ATTRIB__TYPE = new QName("Type");
/*     */ 
/* 307 */     ATTRIB__DISPLAY_ORDER = new QName("DisplayOrder");
/*     */ 
/* 309 */     new QName("IdType");
/*     */ 
/* 311 */     ATTRIB__CHANNEL = new QName("Channel");
/*     */   }
/*     */ }

/* Location:           /home/laurent/VOTE/voting-applet.jar
 * Qualified Name:     com.scytl.xml.marshalling.eml.EmlQName
 * JD-Core Version:    0.6.0
 */