/*     */ package com.scytl.xml.marshalling.eml.model;
/*     */ 
/*     */ import com.scytl.common.domain.election.GenderType;
/*     */ import com.scytl.common.domain.hibernate.entity.election.Answer;
/*     */ import com.scytl.common.domain.hibernate.entity.election.TextAnswer;
/*     */ import com.scytl.common.domain.hibernate.entity.election.WriteInAnswer;
/*     */ import com.scytl.common.domain.hibernate.entity.i18n.Message;
/*     */ import com.scytl.xml.marshalling.stax.scytl.model.AnswerOthers;
/*     */ import java.util.Date;
/*     */ 
/*     */ public final class CandidateBuilder
/*     */ {
/*     */   private String _candidateName;
/*     */   private String _id;
/*     */   private Date _dateOfBirth;
/*     */   private GenderType _gender;
/*     */   private String _address;
/*     */   private String _email;
/*     */   private TypedImage _image;
/*     */   private TypedImage _additionalImage;
/*     */   private String _profession;
/*     */   private Message _profileText;
/*     */   private Message _text;
/*     */   private AnswerOthers _others;
/*     */ 
/*     */   public final void setAdditionalImage(TypedImage additionalImage)
/*     */   {
/*  55 */     this._additionalImage = additionalImage;
/*     */   }
/*     */ 
/*     */   public final void setCandidateName(String candidateName)
/*     */   {
/*  67 */     this._candidateName = candidateName;
/*     */   }
/*     */ 
/*     */   public final void setId(String id)
/*     */   {
/*  74 */     this._id = id;
/*     */   }
/*     */ 
/*     */   public final void setDateOfBirth(Date dateOfBirth)
/*     */   {
/*  81 */     this._dateOfBirth = dateOfBirth;
/*     */   }
/*     */ 
/*     */   public final void setGender(GenderType gender)
/*     */   {
/*  88 */     this._gender = gender;
/*     */   }
/*     */ 
/*     */   public final void setAddress(String street)
/*     */   {
/*  95 */     this._address = street;
/*     */   }
/*     */ 
/*     */   public final void setEmail(String email)
/*     */   {
/* 102 */     this._email = email;
/*     */   }
/*     */ 
/*     */   public final void setTypedImage(TypedImage image)
/*     */   {
/* 109 */     this._image = image;
/*     */   }
/*     */ 
/*     */   public final void setProfession(String profession)
/*     */   {
/* 116 */     this._profession = profession;
/*     */   }
/*     */ 
/*     */   public final void setProfileText(Message profile)
/*     */   {
/* 123 */     this._profileText = profile;
/*     */   }
/*     */ 
/*     */   public final void setText(Message text)
/*     */   {
/* 130 */     this._text = text;
/*     */   }
/*     */ 
/*     */   public final void setOthers(AnswerOthers others)
/*     */   {
/* 137 */     this._others = others;
/*     */   }
/*     */ 
/*     */   public final Answer buildCandidate()
/*     */   {
/* 144 */     CandidateBuilder localCandidateBuilder = this; if ((this._candidateName == null ? 1 : 0) != 0)
/*     */     {
/* 146 */       localCandidateBuilder = this; (this = new WriteInAnswer()).setId(localCandidateBuilder._id); if (localCandidateBuilder._image != null) { setImage(localCandidateBuilder._image.getImage()); localCandidateBuilder._image.getMimeType(); } if (localCandidateBuilder._additionalImage != null) { setAdditionalImage(localCandidateBuilder._additionalImage.getImage()); localCandidateBuilder._additionalImage.getMimeType(); } setText(localCandidateBuilder._text); localCandidateBuilder._others.setOthers(this); this = this;
/*     */     } else {
/* 148 */       localCandidateBuilder = this; (this = new TextAnswer()).setId(localCandidateBuilder._id); setDateOfBirth(localCandidateBuilder._dateOfBirth); if (localCandidateBuilder._image != null) { setImage(localCandidateBuilder._image.getImage()); localCandidateBuilder._image.getMimeType(); } if (localCandidateBuilder._additionalImage != null) { setAdditionalImage(localCandidateBuilder._additionalImage.getImage()); localCandidateBuilder._additionalImage.getMimeType(); } setProfileText(localCandidateBuilder._profileText); setText(localCandidateBuilder._text); localCandidateBuilder._others.setOthers(this); this = this;
/*     */     }
/* 150 */     return this;
/*     */   }
/*     */ }

/* Location:           /home/laurent/VOTE/voting-applet.jar
 * Qualified Name:     com.scytl.xml.marshalling.eml.model.CandidateBuilder
 * JD-Core Version:    0.6.0
 */