/*     */ package org.picocontainer.alternatives;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.util.Collection;
/*     */ import java.util.List;
/*     */ import org.picocontainer.ComponentMonitor;
/*     */ import org.picocontainer.MutablePicoContainer;
/*     */ import org.picocontainer.PicoContainer;
/*     */ import org.picocontainer.PicoRegistrationException;
/*     */ 
/*     */ public abstract class AbstractDelegatingMutablePicoContainer
/*     */   implements Serializable, MutablePicoContainer
/*     */ {
/*     */   private MutablePicoContainer delegate;
/*     */ 
/*     */   public AbstractDelegatingMutablePicoContainer(MutablePicoContainer delegate)
/*     */   {
/*  34 */     this.delegate = delegate;
/*     */   }
/*     */ 
/*     */   public final ComponentMonitor registerComponentImplementation$3cf7bc9(Object componentKey, Class componentImplementation)
/*     */     throws PicoRegistrationException
/*     */   {
/*  42 */     return this.delegate.registerComponentImplementation$3cf7bc9(componentKey, componentImplementation);
/*     */   }
/*     */ 
/*     */   public final ComponentMonitor registerComponentImplementation$bb03b8(Object componentKey, Class componentImplementation, ComponentMonitor[] parameters) throws PicoRegistrationException {
/*  46 */     return this.delegate.registerComponentImplementation$bb03b8(componentKey, componentImplementation, parameters);
/*     */   }
/*     */ 
/*     */   public final ComponentMonitor registerComponentImplementation$7caf752d(Class componentImplementation) throws PicoRegistrationException
/*     */   {
/*  51 */     return this.delegate.registerComponentImplementation$7caf752d(componentImplementation);
/*     */   }
/*     */ 
/*     */   public final ComponentMonitor registerComponentInstance$506b371c(Object componentInstance) throws PicoRegistrationException {
/*  55 */     return this.delegate.registerComponentInstance$506b371c(componentInstance);
/*     */   }
/*     */ 
/*     */   public final ComponentMonitor registerComponentInstance$c7595c8(Object componentKey, Object componentInstance) throws PicoRegistrationException {
/*  59 */     return this.delegate.registerComponentInstance$c7595c8(componentKey, componentInstance);
/*     */   }
/*     */ 
/*     */   public final Object getComponentInstance(Object componentKey)
/*     */   {
/*  75 */     return this.delegate.getComponentInstance(componentKey);
/*     */   }
/*     */ 
/*     */   public final Object getComponentInstanceOfType(Class componentType) {
/*  79 */     return this.delegate.getComponentInstanceOfType(componentType);
/*     */   }
/*     */ 
/*     */   public final PicoContainer getParent()
/*     */   {
/*  87 */     return this.delegate.getParent();
/*     */   }
/*     */ 
/*     */   public final ComponentMonitor getComponentAdapter$506b371c(Object componentKey) {
/*  91 */     return this.delegate.getComponentAdapter$506b371c(componentKey);
/*     */   }
/*     */ 
/*     */   public final ComponentMonitor getComponentAdapterOfType$7caf752d(Class componentType) {
/*  95 */     return this.delegate.getComponentAdapterOfType$7caf752d(componentType);
/*     */   }
/*     */ 
/*     */   public final Collection getComponentAdapters() {
/*  99 */     return this.delegate.getComponentAdapters();
/*     */   }
/*     */ 
/*     */   public final List getComponentAdaptersOfType(Class componentType) {
/* 103 */     return this.delegate.getComponentAdaptersOfType(componentType);
/*     */   }
/*     */ 
/*     */   public final void dispose()
/*     */   {
/* 122 */     this.delegate.dispose();
/*     */   }
/*     */ 
/*     */   public boolean equals(Object obj)
/*     */   {
/*     */     Object obj;
/* 144 */     return result = (this.delegate.equals(obj)) || (this == obj) ? 1 : 0;
/*     */   }
/*     */ }

/* Location:           /home/laurent/VOTE/voting-applet.jar
 * Qualified Name:     org.picocontainer.alternatives.AbstractDelegatingMutablePicoContainer
 * JD-Core Version:    0.6.0
 */